Package org.silverpeas.components.resourcesmanager.repository

# Class ReservationJpaManager

java.lang.Object
org.silverpeas.core.persistence.datasource.repository.jpa.AbstractJpaEntityRepository<Reservation>
org.silverpeas.core.persistence.datasource.repository.jpa.BasicJpaEntityRepository<Reservation>
org.silverpeas.components.resourcesmanager.repository.ReservationJpaManager

All Implemented Interfaces:
  `ReservationRepository`, `org.silverpeas.core.persistence.datasource.repository.EntityRepository<Reservation>`, `org.silverpeas.core.persistence.datasource.repository.WithSaveAndFlush<Reservation>`

@Repository public class ReservationJpaManager extends org.silverpeas.core.persistence.datasource.repository.jpa.BasicJpaEntityRepository<Reservation> implements ReservationRepository

Author:
  ebonnet

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReservationJpaManager()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Reservation>`
  `findAllReservations(String instanceId)`
  `List<Reservation>`
  `findAllReservationsForCategoryInRange(String instanceId, Long categoryId, String startPeriod, String endPeriod)`
  `List<Reservation>`
  `findAllReservationsForResourceInRange(String instanceId, Long resourceId, String startPeriod, String endPeriod)`
  `List<Reservation>`
  `findAllReservationsForUser(String instanceId, Integer userId)`
  `List<Reservation>`
  `findAllReservationsForUserAndCategoryInRange(String instanceId, Integer userId, Long categoryId, String startPeriod, String endPeriod)`
  `List<Reservation>`
  `findAllReservationsForUserAndResourceInRange(String instanceId, Integer userId, Long resourceId, String startPeriod, String endPeriod)`
  `List<Reservation>`
  `findAllReservationsForUserInRange(String instanceId, Integer userId, String startPeriod, String endPeriod)`
  `List<Reservation>`
  `findAllReservationsForValidation(String instanceId, Long managerId, String startPeriod, String endPeriod)`
  `List<Reservation>`
  `findAllReservationsInRange(String instanceId, String startPeriod, String endPeriod)`
  `List<Reservation>`
  `findAllReservationsNotRefusedForResourceInRange(Long resourceId, String startPeriod, String endPeriod)`

  ### Methods inherited from class org.silverpeas.core.persistence.datasource.repository.jpa.BasicJpaEntityRepository

  `deleteByComponentInstanceId, saveAndFlush`

  ### Methods inherited from class org.silverpeas.core.persistence.datasource.repository.jpa.AbstractJpaEntityRepository

  `contains, countByCriteria, countFromJpqlString, delete, deleteById, deleteFromJpqlQuery, deleteFromNamedQuery, findByCriteria, findByNamedQuery, findFirstByNamedQuery, flush, getAll, getById, getById, getEntityClass, getEntityManager, getFromJpqlString, getFromJpqlString, getFromNamedQuery, getFromNamedQuery, getIdentifierConverter, getMaximumItemsInClause, listFromJpqlString, listFromJpqlString, listFromJpqlString, listFromJpqlString, listFromNamedQuery, listFromNamedQuery, newNamedParameters, noParameter, save, setMaximumItemsInClause, split, streamByNamedQuery, streamByNamedQuery, streamFromJpqlString, streamFromJpqlString, updateFromJpqlQuery, updateFromNamedQuery`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.silverpeas.core.persistence.datasource.repository.EntityRepository

  `contains, delete, delete, deleteByComponentInstanceId, deleteById, deleteById, findByCriteria, flush, getAll, getById, getById, getById, save, save, save`

  ### Methods inherited from interface org.silverpeas.core.persistence.datasource.repository.WithSaveAndFlush

  `saveAndFlush`

- ## Constructor Details

  - ### ReservationJpaManager

    public ReservationJpaManager()

- ## Method Details

  - ### findAllReservationsInRange

    public List<Reservation> findAllReservationsInRange(String instanceId, String startPeriod, String endPeriod)
    Specified by:
      `findAllReservationsInRange` in interface `ReservationRepository`

  - ### findAllReservationsForUserInRange

    public List<Reservation> findAllReservationsForUserInRange(String instanceId, Integer userId, String startPeriod, String endPeriod)
    Specified by:
      `findAllReservationsForUserInRange` in interface `ReservationRepository`

  - ### findAllReservationsForUser

    public List<Reservation> findAllReservationsForUser(String instanceId, Integer userId)
    Specified by:
      `findAllReservationsForUser` in interface `ReservationRepository`

  - ### findAllReservationsForValidation

    public List<Reservation> findAllReservationsForValidation(String instanceId, Long managerId, String startPeriod, String endPeriod)
    Specified by:
      `findAllReservationsForValidation` in interface `ReservationRepository`

  - ### findAllReservationsNotRefusedForResourceInRange

    public List<Reservation> findAllReservationsNotRefusedForResourceInRange(Long resourceId, String startPeriod, String endPeriod)
    Specified by:
      `findAllReservationsNotRefusedForResourceInRange` in interface `ReservationRepository`

  - ### findAllReservationsForCategoryInRange

    public List<Reservation> findAllReservationsForCategoryInRange(String instanceId, Long categoryId, String startPeriod, String endPeriod)
    Specified by:
      `findAllReservationsForCategoryInRange` in interface `ReservationRepository`

  - ### findAllReservationsForUserAndCategoryInRange

    public List<Reservation> findAllReservationsForUserAndCategoryInRange(String instanceId, Integer userId, Long categoryId, String startPeriod, String endPeriod)
    Specified by:
      `findAllReservationsForUserAndCategoryInRange` in interface `ReservationRepository`

  - ### findAllReservationsForResourceInRange

    public List<Reservation> findAllReservationsForResourceInRange(String instanceId, Long resourceId, String startPeriod, String endPeriod)
    Specified by:
      `findAllReservationsForResourceInRange` in interface `ReservationRepository`

  - ### findAllReservationsForUserAndResourceInRange

    public List<Reservation> findAllReservationsForUserAndResourceInRange(String instanceId, Integer userId, Long resourceId, String startPeriod, String endPeriod)
    Specified by:
      `findAllReservationsForUserAndResourceInRange` in interface `ReservationRepository`

  - ### findAllReservations

    public List<Reservation> findAllReservations(String instanceId)
    Specified by:
      `findAllReservations` in interface `ReservationRepository`